Bug 2224434 - Review Request: gvisor-tap-vsock - Go replacement for libslirp and VPNKit
Summary: Review Request: gvisor-tap-vsock - Go replacement for libslirp and VPNKit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/containers/%{name}
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-07-20 20:10 UTC by Lokesh Mandvekar
Modified: 2023-08-07 01:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-07 01:26:18 UTC
Type: ---
Embargoed:
jnovy: fedora-review+


Attachments (Terms of Use)
The .spec file difference from Copr build 6198601 to 6220708 (328 bytes, patch)
2023-07-28 19:24 UTC, Fedora Review Service
no flags Details | Diff
The .spec file difference from Copr build 6220708 to 6226340 (422 bytes, patch)
2023-07-31 17:24 UTC, Fedora Review Service
no flags Details | Diff

Description Lokesh Mandvekar 2023-07-20 20:10:20 UTC
Spec URL: https://pagure.io/gvisor-tap-vsock/raw/main/f/gvisor-tap-vsock.spec
SRPM URL: https://pagure.io/gvisor-tap-vsock/blob/main/f/SRPMS/gvisor-tap-vsock-0.6.2-1.fc38.src.rpm

Description: A replacement for libslirp and VPNKit, written in pure Go.
It is based on the network stack of gVisor. Compared to libslirp,
gvisor-tap-vsock brings a configurable DNS server and
dynamic port forwarding.

Fedora Account System Username: lsm5

Koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=103645033

Comment 1 Lokesh Mandvekar 2023-07-20 20:11:48 UTC
Splitting this out of the podman package into a standalone package.

Comment 2 Jindrich Novy 2023-07-21 02:14:08 UTC
Seems I can't download the srpm:

$ fedora-review -b 2224434
INFO: Processing bugzilla bug: 2224434
INFO: Getting .spec and .srpm Urls from : 2224434
INFO:   --> SRPM url: https://pagure.io/gvisor-tap-vsock/blob/main/f/SRPMS/gvisor-tap-vsock-0.6.2-1.fc38.src.rpm
INFO:   --> Spec url: https://pagure.io/gvisor-tap-vsock/raw/main/f/gvisor-tap-vsock.spec
INFO: Using review directory: /home/jnovy/2224434-gvisor-tap-vsock
INFO: Downloading .spec and .srpm files
ERROR: 'Error The read operation timed out downloading https://pagure.io/gvisor-tap-vsock/blob/main/f/SRPMS/gvisor-tap-vsock-0.6.2-1.fc38.src.rpm' (logs in /home/jnovy/.cache/fedora-review.log)

Does anybody else see it?

Comment 4 Fedora Review Service 2023-07-21 12:49:00 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6198601
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2224434-gvisor-tap-vsock/fedora-rawhide-x86_64/06198601-gvisor-tap-vsock/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 5 Lokesh Mandvekar 2023-07-24 12:12:24 UTC
Rawhide build will be broken until gvisor-tap-vsock is updated to build with go1.21. But we need to get this package done to unblock Podman updates for rawhide.

Comment 6 Lokesh Mandvekar 2023-07-28 19:16:54 UTC
Spec URL: https://pagure.io/gvisor-tap-vsock/raw/main/f/gvisor-tap-vsock.spec
SRPM URL: https://pagure.io/gvisor-tap-vsock/raw/main/f/SRPMS/gvisor-tap-vsock-0.7.0-1.fc39.src.rpm

Successful rawhide build at: https://koji.fedoraproject.org/koji/taskinfo?taskID=104063720

The build will fail on f37 so this package is currently only intended for rawhide (and eln) and f38.

Comment 7 Fedora Review Service 2023-07-28 19:24:06 UTC
Created attachment 1980521 [details]
The .spec file difference from Copr build 6198601 to 6220708

Comment 8 Fedora Review Service 2023-07-28 19:24:09 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6220708
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2224434-gvisor-tap-vsock/fedora-rawhide-x86_64/06220708-gvisor-tap-vsock/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 9 Jindrich Novy 2023-07-31 08:12:45 UTC
The License field must be a valid SPDX expression.

Note: Not a valid SPDX expression 'Apache-2.0 and BSD-2-Clause and BSD-3-Clause and MIT'.

See: https://fedoraproject.org/wiki/Changes/SPDX_Licenses_Phase_1

Comment 11 Fedora Review Service 2023-07-31 17:24:35 UTC
Created attachment 1980941 [details]
The .spec file difference from Copr build 6220708 to 6226340

Comment 12 Fedora Review Service 2023-07-31 17:24:38 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6226340
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2224434-gvisor-tap-vsock/fedora-rawhide-x86_64/06226340-gvisor-tap-vsock/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 13 Jindrich Novy 2023-07-31 17:42:48 UTC
Looks good, assuming the direct dep on /lib64/libresolv.so.2 is ok.


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License 2.0",
     "BSD 3-Clause License", "MIT License Apache License 2.0", "Apache
     License 2.0", "MIT License", "ISC License", "Creative Commons
     Attribution 4.0 Apache License 2.0", "BSD 2-Clause License", "*No
     copyright* The Unlicense", "OpenSSL License". 1681 files have unknown
     license. Detailed output of licensecheck in
     /home/jnovy/2224434-gvisor-tap-vsock/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 6547 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gvisor-tap-vsock-0.7.0-1.fc39.x86_64.rpm
          gvisor-tap-vsock-debuginfo-0.7.0-1.fc39.x86_64.rpm
          gvisor-tap-vsock-debugsource-0.7.0-1.fc39.x86_64.rpm
          gvisor-tap-vsock-0.7.0-1.fc39.src.rpm
=========================================================================== rpmlint session starts ==========================================================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmp8nscbfyq')]
checks: 31, packages: 4

============================================ 4 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.7 s ===========================================




Rpmlint (debuginfo)
-------------------
Checking: gvisor-tap-vsock-debuginfo-0.7.0-1.fc39.x86_64.rpm
=========================================================================== rpmlint session starts ==========================================================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpjgjbrupy')]
checks: 31, packages: 1

============================================ 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.3 s ===========================================





Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 3

gvisor-tap-vsock.x86_64: W: unused-direct-shlib-dependency /usr/libexec/gvisor-tap-vsock/gvforwarder /lib64/libresolv.so.2
gvisor-tap-vsock.x86_64: W: unused-direct-shlib-dependency /usr/libexec/gvisor-tap-vsock/gvproxy /lib64/libresolv.so.2
 3 packages and 0 specfiles checked; 0 errors, 2 warnings, 0 badness; has taken 0.8 s 



Source checksums
----------------
https://github.com/containers/gvisor-tap-vsock/archive/refs/tags/v0.7.0.tar.gz :
  CHECKSUM(SHA256) this package     : e526b8bf568a5145f4f265a8d450483be27c82717e60f4f22902589a78f68e1f
  CHECKSUM(SHA256) upstream package : e526b8bf568a5145f4f265a8d450483be27c82717e60f4f22902589a78f68e1f


Requires
--------
gvisor-tap-vsock (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libresolv.so.2()(64bit)
    rtld(GNU_HASH)

gvisor-tap-vsock-debuginfo (rpmlib, GLIBC filtered):

gvisor-tap-vsock-debugsource (rpmlib, GLIBC filtered):



Provides
--------
gvisor-tap-vsock:
    gvisor-tap-vsock
    gvisor-tap-vsock(x86-64)
    podman-gvproxy

gvisor-tap-vsock-debuginfo:
    debuginfo(build-id)
    gvisor-tap-vsock-debuginfo
    gvisor-tap-vsock-debuginfo(x86-64)

gvisor-tap-vsock-debugsource:
    gvisor-tap-vsock-debugsource
    gvisor-tap-vsock-debugsource(x86-64)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2224434
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, C/C++, Generic
Disabled plugins: R, fonts, Perl, PHP, Java, Ocaml, SugarActivity, Python, Haskell
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 14 Fedora Update System 2023-08-01 19:49:59 UTC
FEDORA-2023-f6c95e58b4 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f6c95e58b4

Comment 15 Fedora Update System 2023-08-02 01:41:11 UTC
FEDORA-2023-f6c95e58b4 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-f6c95e58b4 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-f6c95e58b4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2023-08-07 01:26:18 UTC
FEDORA-2023-f6c95e58b4 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.